*********************************************************************
 
 PROGRAM NAME: CREATE_FORMATTED_FREQUENCIES.SAS
 
 THIS IS AN EXAMPLE OF A SAS PROGRAM THAT ATTACHES VARIABLE
 VALUE LABELS TO THE SAS IMPUTATION DATA SETS.  ATTACHING 
 LABELS WILL ALLOW YOU TO PRODUCE FORMATTED OUTPUT LIKE THAT
 IN THE DETAILED VARIABLE CONTENT LISTING AND FREQUENCY 
 REPORTS IN THE DOCUMENTATION.

*********************************************************************;
** "PUF" REFERS TO THE DIRECTORY WHERE THE  **;
**  PERMANENT SAS DATASETS ARE CONTAINED    **;

LIBNAME PUF 'H:\Data\Multiple Imputations';

** "library" REFERS TO THE DIRECTORY WHERE  **;
** PERMANENT FORMATS ARE GOING TO BE STORED **;

LIBNAME LIBRARY 'H:\Data\Multiple Imputations';

%INCLUDE "H:\Data\Multiple Imputations\CSHCN\create_formats_permanent.sas";     /* INPUT SAS PROGRAM THAT CREATES FORMATS */

DATA puf.cshcn01mimp_formatted;
 SET puf.cshcn01mimp;
%INCLUDE "H:\Data\Multiple Imputations\CSHCN\attach_formats-CSHCN03MIMP.sas";    /* INPUT SAS PROGRAM THAT ATTACHES FORMATS */
run;

PROC CONTENTS VARNUM;
TITLE1 "CSHCN Poverty Multiple Imputation File Variables";
RUN;

PROC FREQ;
 TABLES
  IMPUTATION
  POVLEVEL_F
  POVLEVEL_I
/ MISSING LIST;
TITLE1 "CSHCN Poverty Multiple Imputation File Variables";
run;
